import { BulletOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type BulletChartProps = Writeable<Omit<BaseChartProps<BulletOptions>, 'chart' | 'data'> & BulletOptions>;
declare const BulletChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<BulletOptions>, "chart" | "data"> & BulletOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class?: unknown;
    style?: unknown;
    chartRef?: unknown;
    xField?: unknown;
    measureField?: unknown;
    rangeField?: unknown;
    targetField?: unknown;
    label?: unknown;
    size?: unknown;
    color?: unknown;
    bulletStyle?: unknown;
    layout?: unknown;
    width?: unknown;
    height?: unknown;
    padding?: unknown;
    appendPadding?: unknown;
    renderer?: unknown;
    pixelRatio?: unknown;
    autoFit?: unknown;
    syncViewPadding?: unknown;
    supportCSSTransform?: unknown;
    limitInPlot?: unknown;
    locale?: unknown;
    data?: unknown;
    animation?: unknown;
    legend?: unknown;
    meta?: unknown;
    pattern?: unknown;
    tooltip?: unknown;
    scrollbar?: unknown;
    localRefresh?: unknown;
    theme?: unknown;
    xAxis?: unknown;
    yAxis?: unknown;
    slider?: unknown;
    interactions?: unknown;
    annotations?: unknown;
    state?: unknown;
} & {
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | "auto" | number[] | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    locale?: string | undefined;
    style?: import("vue-demi").StyleValue | undefined;
    data?: unknown;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<BulletOptions> | null> | undefined;
    color?: {
        measure?: import("@antv/g2plot").ColorAttr | undefined;
        target?: import("@antv/g2plot").ColorAttr | undefined;
        range?: import("@antv/g2plot").ColorAttr | undefined;
    } | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    label?: {
        measure?: false | (import("@antv/g2/lib/interface").GeometryLabelCfg | ((datum: import("@antv/g2plot").Datum) => import("@antv/g2/lib/interface").GeometryLabelCfg)) | undefined;
        target?: false | (import("@antv/g2/lib/interface").GeometryLabelCfg | ((datum: import("@antv/g2plot").Datum) => import("@antv/g2/lib/interface").GeometryLabelCfg)) | undefined;
        range?: false | (import("@antv/g2/lib/interface").GeometryLabelCfg | ((datum: import("@antv/g2plot").Datum) => import("@antv/g2/lib/interface").GeometryLabelCfg)) | undefined;
    } | undefined;
    legend?: import("@antv/g2plot/lib/types/legend").Legend | undefined;
    meta?: Record<string, import("@antv/g2plot").Meta> | undefined;
    pattern?: import("@antv/g2plot").PatternAttr | undefined;
    layout?: "horizontal" | "vertical" | undefined;
    size?: {
        measure?: import("@antv/g2plot").SizeAttr | undefined;
        target?: import("@antv/g2plot").SizeAttr | undefined;
        range?: import("@antv/g2plot").SizeAttr | undefined;
    } | undefined;
    tooltip?: import("@antv/g2plot").Tooltip | undefined;
    scrollbar?: import("@antv/g2/lib/interface").ScrollbarOption | undefined;
    xField?: string | undefined;
    localRefresh?: boolean | undefined;
    theme?: string | object | undefined;
    xAxis?: import("@antv/g2plot").Axis | undefined;
    yAxis?: import("@antv/g2plot").Axis | undefined;
    slider?: import("@antv/g2/lib/interface").SliderOption | undefined;
    interactions?: import("@antv/g2plot").Interaction[] | undefined;
    annotations?: import("@antv/g2plot").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateOption | undefined;
    measureField?: string | undefined;
    rangeField?: string | undefined;
    targetField?: string | undefined;
    bulletStyle?: {
        measure?: import("@antv/g2plot").StyleAttr | undefined;
        target?: import("@antv/g2plot").StyleAttr | undefined;
        range?: import("@antv/g2plot").StyleAttr | undefined;
    } | undefined;
}>, {
    class: any;
}>;
export default BulletChart;
