import { CirclePackingOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type CirclePackingChartProps = Writeable<Omit<BaseChartProps<CirclePackingOptions>, 'chart' | 'data'> & CirclePackingOptions>;
declare const CirclePackingChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<CirclePackingOptions>, "chart" | "data"> & CirclePackingOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class?: unknown;
    style?: unknown;
    chartRef?: unknown;
    data?: unknown;
    hierarchyConfig?: unknown;
    colorField?: unknown;
    color?: unknown;
    sizeField?: unknown;
    rawFields?: unknown;
    pointStyle?: unknown;
    drilldown?: unknown;
    width?: unknown;
    height?: unknown;
    padding?: unknown;
    appendPadding?: unknown;
    renderer?: unknown;
    pixelRatio?: unknown;
    autoFit?: unknown;
    syncViewPadding?: unknown;
    supportCSSTransform?: unknown;
    limitInPlot?: unknown;
    locale?: unknown;
    animation?: unknown;
    label?: unknown;
    legend?: unknown;
    meta?: unknown;
    pattern?: unknown;
    tooltip?: unknown;
    scrollbar?: unknown;
    localRefresh?: unknown;
    theme?: unknown;
    xAxis?: unknown;
    yAxis?: unknown;
    slider?: unknown;
    interactions?: unknown;
    annotations?: unknown;
    state?: unknown;
} & {
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | "auto" | number[] | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    locale?: string | undefined;
    style?: import("vue-demi").StyleValue | undefined;
    data?: Record<string, any> | undefined;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<CirclePackingOptions> | null> | undefined;
    color?: import("@antv/g2plot").ColorAttr | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    label?: import("@antv/g2plot/lib/types/label").Label | undefined;
    legend?: import("@antv/g2plot/lib/types/legend").Legend | undefined;
    meta?: Record<string, import("@antv/g2plot").Meta> | undefined;
    pattern?: import("@antv/g2plot").PatternAttr | undefined;
    tooltip?: import("@antv/g2plot").Tooltip | undefined;
    scrollbar?: import("@antv/g2/lib/interface").ScrollbarOption | undefined;
    localRefresh?: boolean | undefined;
    theme?: string | object | undefined;
    xAxis?: import("@antv/g2plot").Axis | undefined;
    yAxis?: import("@antv/g2plot").Axis | undefined;
    slider?: import("@antv/g2/lib/interface").SliderOption | undefined;
    interactions?: import("@antv/g2plot").Interaction[] | undefined;
    annotations?: import("@antv/g2plot").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateOption | undefined;
    colorField?: string | undefined;
    sizeField?: string | undefined;
    rawFields?: string[] | undefined;
    pointStyle?: import("@antv/g2plot").StyleAttr | undefined;
    hierarchyConfig?: Omit<import("@antv/g2plot/lib/utils/hierarchy/types").HierarchyOption, "type" | "field" | "as"> | undefined;
    drilldown?: import("@antv/g2plot/lib/types/drill-down").DrillDownCfg | undefined;
}>, {
    class: any;
}>;
export default CirclePackingChart;
