import { SankeyOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type SankeyChartProps = Writeable<Omit<BaseChartProps<SankeyOptions>, 'chart' | 'data'> & SankeyOptions>;
declare const SankeyChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<SankeyOptions>, "chart" | "data"> & SankeyOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class?: unknown;
    style?: unknown;
    chartRef?: unknown;
    sourceField?: unknown;
    targetField?: unknown;
    weightField?: unknown;
    rawFields?: unknown;
    data?: unknown;
    nodeWidthRatio?: unknown;
    nodeWidth?: unknown;
    nodePaddingRatio?: unknown;
    nodePadding?: unknown;
    nodeAlign?: unknown;
    nodeSort?: unknown;
    nodeDepth?: unknown;
    nodeStyle?: unknown;
    nodeState?: unknown;
    edgeStyle?: unknown;
    edgeState?: unknown;
    nodeDraggable?: unknown;
    width?: unknown;
    height?: unknown;
    padding?: unknown;
    appendPadding?: unknown;
    renderer?: unknown;
    pixelRatio?: unknown;
    autoFit?: unknown;
    syncViewPadding?: unknown;
    supportCSSTransform?: unknown;
    limitInPlot?: unknown;
    locale?: unknown;
    color?: unknown;
    animation?: unknown;
    label?: unknown;
    legend?: unknown;
    meta?: unknown;
    pattern?: unknown;
    tooltip?: unknown;
    scrollbar?: unknown;
    localRefresh?: unknown;
    theme?: unknown;
    slider?: unknown;
    interactions?: unknown;
    annotations?: unknown;
    state?: unknown;
} & {
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | "auto" | number[] | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    locale?: string | undefined;
    style?: import("vue-demi").StyleValue | undefined;
    data?: unknown;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<SankeyOptions> | null> | undefined;
    color?: import("@antv/g2plot").ColorAttr | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    label?: import("@antv/g2plot/lib/types/label").Label | undefined;
    legend?: import("@antv/g2plot/lib/types/legend").Legend | undefined;
    meta?: Record<string, import("@antv/g2plot").Meta> | undefined;
    pattern?: import("@antv/g2plot").PatternAttr | undefined;
    tooltip?: import("@antv/g2plot").Tooltip | undefined;
    scrollbar?: import("@antv/g2/lib/interface").ScrollbarOption | undefined;
    localRefresh?: boolean | undefined;
    theme?: string | object | undefined;
    slider?: import("@antv/g2/lib/interface").SliderOption | undefined;
    interactions?: import("@antv/g2plot").Interaction[] | undefined;
    annotations?: import("@antv/g2plot").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateOption | undefined;
    targetField?: string | undefined;
    rawFields?: string[] | undefined;
    weightField?: string | undefined;
    sourceField?: string | undefined;
    nodeWidthRatio?: number | undefined;
    nodeWidth?: number | undefined;
    nodePaddingRatio?: number | undefined;
    nodePadding?: number | undefined;
    nodeAlign?: "left" | "right" | "center" | "justify" | undefined;
    nodeSort?: import("@antv/g2plot/lib/plots/sankey/layout").NodeSort | undefined;
    nodeDepth?: import("@antv/g2plot/lib/plots/sankey/layout").NodeDepth | undefined;
    nodeStyle?: import("@antv/g2plot").StyleAttr | undefined;
    nodeState?: import("@antv/g2/lib/interface").StateOption | undefined;
    edgeStyle?: import("@antv/g2plot").StyleAttr | undefined;
    edgeState?: import("@antv/g2/lib/interface").StateOption | undefined;
    nodeDraggable?: boolean | undefined;
}>, {
    class: any;
}>;
export default SankeyChart;
