import { FacetOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type FacetChartProps = Writeable<Omit<BaseChartProps<FacetOptions>, 'chart' | 'data'> & FacetOptions>;
declare const FacetChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<FacetOptions<keyof import("@antv/g2/lib/interface").FacetCfgMap>>, "chart" | "data"> & FacetOptions<keyof import("@antv/g2/lib/interface").FacetCfgMap>>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class?: unknown;
    style?: unknown;
    chartRef?: unknown;
    type?: unknown;
    fields?: unknown;
    data?: unknown;
    eachView?: unknown;
    showTitle?: unknown;
    meta?: unknown;
    coordinate?: unknown;
    axes?: unknown;
    tooltip?: unknown;
    legend?: unknown;
    interactions?: unknown;
    width?: unknown;
    height?: unknown;
    autoFit?: unknown;
    padding?: unknown;
    appendPadding?: unknown;
    syncViewPadding?: unknown;
    locale?: unknown;
    renderer?: unknown;
    pixelRatio?: unknown;
    localRefresh?: unknown;
    supportCSSTransform?: unknown;
    theme?: unknown;
    color?: unknown;
    pattern?: unknown;
    xAxis?: unknown;
    yAxis?: unknown;
    label?: unknown;
    slider?: unknown;
    scrollbar?: unknown;
    animation?: unknown;
    annotations?: unknown;
    state?: unknown;
    limitInPlot?: unknown;
    transpose?: unknown;
    title?: unknown;
    spacing?: unknown;
    columnTitle?: unknown;
    rowTitle?: unknown;
    line?: unknown;
    cols?: unknown;
} & {
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | "auto" | number[] | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    locale?: string | undefined;
    style?: import("vue-demi").StyleValue | undefined;
    data?: unknown;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<FacetOptions<keyof import("@antv/g2/lib/interface").FacetCfgMap>> | null> | undefined;
    title?: import("@antv/g2/lib/interface").FacetTitle | undefined;
    color?: import("@antv/g2plot").ColorAttr | undefined;
    type?: keyof import("@antv/g2/lib/interface").FacetCfgMap | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    label?: import("@antv/g2plot/lib/types/label").Label | undefined;
    legend?: import("@antv/g2plot/lib/types/legend").Legend | undefined;
    meta?: Record<string, import("@antv/g2plot").Meta> | undefined;
    line?: import("@antv/g2/lib/interface").Line | undefined;
    pattern?: import("@antv/g2plot").PatternAttr | undefined;
    tooltip?: import("@antv/g2plot").Tooltip | undefined;
    scrollbar?: import("@antv/g2/lib/interface").ScrollbarOption | undefined;
    localRefresh?: boolean | undefined;
    theme?: string | object | undefined;
    xAxis?: import("@antv/g2plot").Axis | undefined;
    yAxis?: import("@antv/g2plot").Axis | undefined;
    slider?: import("@antv/g2/lib/interface").SliderOption | undefined;
    interactions?: import("@antv/g2plot").Interaction[] | undefined;
    annotations?: import("@antv/g2plot").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateOption | undefined;
    coordinate?: import("@antv/g2/lib/interface").CoordinateOption | undefined;
    fields?: string | undefined;
    eachView?: ((innerView: import("@antv/g2").View, facet?: import("@antv/g2/lib/interface").FacetData | import("@antv/g2/lib/interface").TreeData | import("@antv/g2/lib/interface").ListData | undefined) => import("@antv/g2plot/lib/plots/mix/utils").IPlotTypes | import("@antv/g2plot/lib/plots/facet/types").IView) | undefined;
    showTitle?: boolean | undefined;
    axes?: false | Record<string, import("@antv/g2plot").Axis> | undefined;
    transpose?: boolean | undefined;
    spacing?: [string | number, string | number] | undefined;
    columnTitle?: import("@antv/g2/lib/interface").FacetTitle | undefined;
    rowTitle?: import("@antv/g2/lib/interface").FacetTitle | undefined;
    cols?: number | undefined;
}>, {
    class: any;
}>;
export default FacetChart;
