import { WaterfallOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type WaterfallChartProps = Writeable<Omit<BaseChartProps<WaterfallOptions>, 'chart' | 'data'> & WaterfallOptions>;
declare const WaterfallChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<WaterfallOptions>, "chart" | "data"> & WaterfallOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class?: unknown;
    style?: unknown;
    chartRef?: unknown;
    xField?: unknown;
    yField?: unknown;
    labelMode?: unknown;
    total?: unknown;
    leaderLine?: unknown;
    risingFill?: unknown;
    fallingFill?: unknown;
    waterfallStyle?: unknown;
    columnWidthRatio?: unknown;
    width?: unknown;
    height?: unknown;
    autoFit?: unknown;
    padding?: unknown;
    appendPadding?: unknown;
    syncViewPadding?: unknown;
    locale?: unknown;
    renderer?: unknown;
    pixelRatio?: unknown;
    localRefresh?: unknown;
    supportCSSTransform?: unknown;
    data?: unknown;
    meta?: unknown;
    theme?: unknown;
    color?: unknown;
    pattern?: unknown;
    xAxis?: unknown;
    yAxis?: unknown;
    label?: unknown;
    tooltip?: unknown;
    legend?: unknown;
    slider?: unknown;
    scrollbar?: unknown;
    animation?: unknown;
    interactions?: unknown;
    annotations?: unknown;
    state?: unknown;
    limitInPlot?: unknown;
} & {
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | "auto" | number[] | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    locale?: string | undefined;
    style?: import("vue-demi").StyleValue | undefined;
    data?: unknown;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<WaterfallOptions> | null> | undefined;
    color?: import("@antv/g2plot").ColorAttr | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    label?: import("@antv/g2plot/lib/types/label").Label | undefined;
    legend?: import("@antv/g2plot/lib/types/legend").Legend | undefined;
    meta?: Record<string, import("@antv/g2plot").Meta> | undefined;
    pattern?: import("@antv/g2plot").PatternAttr | undefined;
    tooltip?: import("@antv/g2plot").Tooltip | undefined;
    scrollbar?: import("@antv/g2/lib/interface").ScrollbarOption | undefined;
    xField?: string | undefined;
    yField?: string | undefined;
    localRefresh?: boolean | undefined;
    theme?: string | object | undefined;
    xAxis?: import("@antv/g2plot").Axis | undefined;
    yAxis?: import("@antv/g2plot").Axis | undefined;
    slider?: import("@antv/g2/lib/interface").SliderOption | undefined;
    interactions?: import("@antv/g2plot").Interaction[] | undefined;
    annotations?: import("@antv/g2plot").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateOption | undefined;
    columnWidthRatio?: number | undefined;
    labelMode?: "difference" | "absolute" | undefined;
    total?: false | {
        label?: string | undefined;
        style?: import("@antv/g-base").ShapeAttrs | undefined;
    } | undefined;
    leaderLine?: false | {
        style?: import("@antv/g-base").ShapeAttrs | undefined;
    } | undefined;
    risingFill?: string | undefined;
    fallingFill?: string | undefined;
    waterfallStyle?: import("@antv/g2plot").StyleAttr | undefined;
}>, {
    class: any;
}>;
export default WaterfallChart;
