import { MixOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type MultiViewChartProps = Writeable<Omit<BaseChartProps<MixOptions>, 'chart' | 'data'> & MixOptions>;
/**
 * @deprecated use `MixChart` instead
 */
declare const MultiViewChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<MixOptions>, "chart" | "data"> & MixOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class?: unknown;
    style?: unknown;
    chartRef?: unknown;
    syncViewPadding?: unknown;
    views?: unknown;
    plots?: unknown;
    tooltip?: unknown;
    legend?: unknown;
    width?: unknown;
    height?: unknown;
    padding?: unknown;
    appendPadding?: unknown;
    renderer?: unknown;
    pixelRatio?: unknown;
    autoFit?: unknown;
    supportCSSTransform?: unknown;
    limitInPlot?: unknown;
    locale?: unknown;
    color?: unknown;
    animation?: unknown;
    label?: unknown;
    meta?: unknown;
    pattern?: unknown;
    localRefresh?: unknown;
    theme?: unknown;
    interactions?: unknown;
    annotations?: unknown;
    state?: unknown;
} & {
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | "auto" | number[] | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    locale?: string | undefined;
    style?: import("vue-demi").StyleValue | undefined;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<MixOptions> | null> | undefined;
    color?: import("@antv/g2plot").ColorAttr | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    label?: import("@antv/g2plot/lib/types/label").Label | undefined;
    legend?: false | Record<string, import("@antv/g2plot/lib/types/legend").Legend> | undefined;
    meta?: Record<string, import("@antv/g2plot").Meta> | undefined;
    pattern?: import("@antv/g2plot").PatternAttr | undefined;
    tooltip?: import("@antv/g2plot").Tooltip | undefined;
    localRefresh?: boolean | undefined;
    theme?: string | object | undefined;
    interactions?: import("@antv/g2plot").Interaction[] | undefined;
    annotations?: import("@antv/g2plot").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateOption | undefined;
    views?: import("@antv/g2plot/lib/plots/mix/types").IView[] | undefined;
    plots?: import("@antv/g2plot/lib/plots/mix/types").IPlot[] | undefined;
}>, {
    class: any;
}>;
export default MultiViewChart;
