import { SunburstOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type SunburstChartProps = Writeable<Omit<BaseChartProps<SunburstOptions>, 'chart' | 'data'> & SunburstOptions>;
declare const SunburstChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<SunburstOptions>, "chart" | "data"> & SunburstOptions>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, import("vue-demi").EmitsOptions, string, import("vue-demi").VNodeProps & import("vue-demi").AllowedComponentProps & import("vue-demi").ComponentCustomProps, Readonly<{
    class?: unknown;
    style?: unknown;
    chartRef?: unknown;
    data?: unknown;
    reflect?: unknown;
    innerRadius?: unknown;
    radius?: unknown;
    colorField?: unknown;
    color?: unknown;
    sunburstStyle?: unknown;
    hierarchyConfig?: unknown;
    rawFields?: unknown;
    drilldown?: unknown;
    width?: unknown;
    height?: unknown;
    padding?: unknown;
    appendPadding?: unknown;
    renderer?: unknown;
    pixelRatio?: unknown;
    autoFit?: unknown;
    syncViewPadding?: unknown;
    supportCSSTransform?: unknown;
    limitInPlot?: unknown;
    locale?: unknown;
    animation?: unknown;
    label?: unknown;
    meta?: unknown;
    pattern?: unknown;
    tooltip?: unknown;
    localRefresh?: unknown;
    theme?: unknown;
    interactions?: unknown;
    annotations?: unknown;
    state?: unknown;
} & {
    class: any;
    data: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | "auto" | number[] | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    locale?: string | undefined;
    style?: import("vue-demi").StyleValue | undefined;
    chartRef?: import("vue-demi").Ref<import("@antv/g2plot").Plot<SunburstOptions> | null> | undefined;
    color?: import("@antv/g2plot").ColorAttr | undefined;
    animation?: import("@antv/g2plot/lib/types/animation").Animation | undefined;
    label?: import("@antv/g2plot/lib/types/label").Label | undefined;
    meta?: Record<string, import("@antv/g2plot").Meta> | undefined;
    pattern?: import("@antv/g2plot").PatternAttr | undefined;
    tooltip?: import("@antv/g2plot").Tooltip | undefined;
    localRefresh?: boolean | undefined;
    theme?: string | object | undefined;
    interactions?: import("@antv/g2plot").Interaction[] | undefined;
    annotations?: import("@antv/g2plot").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateOption | undefined;
    radius?: number | undefined;
    innerRadius?: number | undefined;
    colorField?: string | undefined;
    reflect?: "x" | "y" | undefined;
    rawFields?: string[] | undefined;
    sunburstStyle?: import("@antv/g2plot").StyleAttr | undefined;
    hierarchyConfig?: (Omit<import("@antv/g2plot/lib/utils/hierarchy/types").HierarchyOption, "type" | "as"> & {
        readonly field?: string | undefined;
        readonly ignoreParentValue?: boolean | undefined;
    }) | undefined;
    drilldown?: import("@antv/g2plot/lib/types/drill-down").DrillDownCfg | undefined;
}>, {
    class: any;
    data: any;
}>;
export default SunburstChart;
